Skip to main content
POST
Error
Creates a contact.
Request body

Headers

x-api-key
string

API token from your Bonx space.

Query Parameters

firstName
string
required

"firstName" is required (enter it either in parameters or request body)

lastName
string
required

"lastName" is required (enter it either in parameters or request body)

organizationId
integer
primaryEmail
string
primaryPhoneNumber
string
role
string

Body

application/json

Query parameters can also be provided in the request body as a JSON object

firstName
string
lastName
string
organizationId
integer | null
primaryEmail
string | null
primaryPhoneNumber
string | null
role
string | null

Response

200 - application/json

Response

insertContactsOne
object | null

A contact (a physical person, from a client, supplier or 3rd party partner)